Subject: bug#76390: [PATCH] Center lines vertically with line-spacing-vertical-center

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2025 22:13:04 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 18 Feb 2025 19:04:07 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > "Good" in that case is in the eyes of the beholder, because the added
> > spacing is uniform whatever the font.  You say "not good" because I'm
> > guessing you don't like the effect in general, not because it breaks
> > when different fonts are used on the same screen line.
> 
> Yes, it depends on preference. Therefore I am suggesting to add a
> customization option, e.g., `line-spacing-align', or alternatively
> extend the `line-spacing' variable as you suggested, such that the
> feature must be enabled explicitly.

IMO, that'd be the wrong way of adding this feature.  We already have
two variables (and the corresponding properties) that determine the
line height.  Adding yet another one to them will make this
unnecessarily complicated.  The fact that this new option will have no
effect unless line-spacing is non-nil doesn't help.

> I rarely use multiple fonts on a single line.

I think you underestimate how frequently this happens in routine usage
of Emacs.  For example, any Info manual uses different fonts on the
same line, and so do *Help* buffers where they show key bindings.